## camldbm 1.0

=== Makefile ===
#########################################################################
#                                                                       #
#                                 CamlDBM                               #
#                                                                       #
#            Xavier Leroy, projet Gallium, INRIA Rocquencourt           #
#                                                                       #
#   Copyright 2011 Institut National de Recherche en Informatique et    #
#   en Automatique.  All rights reserved.  This file is distributed     #
#   under the terms of the GNU Library General Public License, with     #
#   the special exception on linking described in file ../../LICENSE.   #
#                                                                       #
#########################################################################

include Makefile.config

OCAMLC=ocamlc
OCAMLOPT=ocamlopt
OCAMLMKLIB=ocamlmklib
OCAMLDEP=ocamldep
OCAMLRUN=ocamlrun
O=o
A=a
SO=so
LIBDIR=`ocamlc -where`
STUBLIBDIR=$(LIBDIR)/stublibs


all: libcamldbm.$(A) dbm.cma dbm.cmxa dbm.cmxs 

dbm.cma: dbm.cmo
	$(OCAMLMKLIB) -o dbm -oc camldbm -linkall dbm.cmo $(DBM_LINK)

dbm.cmxa: dbm.cmx
	$(OCAMLMKLIB) -o dbm -oc camldbm -linkall dbm.cmx $(DBM_LINK)

dbm.cmxs: dbm.cmxa libcamldbm.$(A)
	$(OCAMLOPT) -shared -o dbm.cmxs -I . dbm.cmxa

libcamldbm.$(A): cldbm.$(O)
	$(OCAMLMKLIB) -oc camldbm cldbm.$(O) $(DBM_LINK)

.SUFFIXES: .ml .mli .cmi .cmo .cmx .$(O)

.mli.cmi:
	$(OCAMLC) -c $(COMPFLAGS) $<

.ml.cmo:
	$(OCAMLC) -c $(COMPFLAGS) $<

.ml.cmx:
	$(OCAMLOPT) -c $(COMPFLAGS) $<

.c.$(O):
	$(OCAMLC) -c -ccopt "$(DBM_INCLUDE)" -ccopt "$(DBM_DEFINES)" $<

depend:
	$(OCAMLDEP) *.ml *.mli > .depend

install::
	if test -f dllcamldbm.$(SO); then cp dllcamldbm.$(SO) $(STUBLIBDIR)/; fi 
	cp libcamldbm.$(A) $(LIBDIR)/
	cd $(LIBDIR) && ranlib libcamldbm.$(A)
	cp dbm.cma dbm.cmxa dbm.cmi dbm.mli $(LIBDIR)/
	cp dbm.$(A) $(LIBDIR)/
	cd $(LIBDIR) && ranlib dbm.$(A)
	if test -f dbm.cmxs; then cp dbm.cmxs $(LIBDIR)/; fi

clean::
	rm -f *.cm* *.$(O) *.$(A) *.$(SO)

testdbm.byte: dbm.cma testdbm.ml
	$(OCAMLC) -o $@ dbm.cma testdbm.ml

testdbm.opt: dbm.cmxa testdbm.ml
	$(OCAMLOPT) -ccopt -L. -o $@ dbm.cmxa testdbm.ml

clean::
	rm -f testdbm.byte testdbm.opt testdatabase.*

test: testdbm.byte testdbm.opt
	rm -f testdatabase.*
	ocamlrun -I . ./testdbm.byte
	rm -f testdatabase.*
	./testdbm.opt
	rm -f testdatabase.*
	

include .depend

=== debian/changelog ===
camldbm (1.0-2) unstable; urgency=low

  * Fix package build on bytecode architectures
  * Install to $(OCAML_STDLIB_DIR)/dbm

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 21:01:17 +0100

camldbm (1.0-1) unstable; urgency=low

  * Initial release (Closes: #731598)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 15:05:21 +0100

=== debian/control ===
Source: camldbm
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 libgdbm-dev,
 ocaml-nox,
 ocaml-findlib,
 dh-ocaml
Homepage: https://forge.ocamlcore.org/projects/camldbm/
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/camldbm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/camldbm.git

Package: libdbm-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: binding to the NDBM/GDBM Unix databases (runtime)
 This OCaml library is a binding to the NDBM/GDBM Unix databases. It
 provides persistent storage of key-value pairs of strings.
 .
 This package contains only the shared runtime stub libraries.

Package: libdbm-ocaml-dev
Architecture: any
Depends:
 libgdbm-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ocaml-findlib
Provides: ${ocaml:Provides}
Description: binding to the NDBM/GDBM Unix databases (development files)
 This OCaml library is a binding to the NDBM/GDBM Unix databases. It
 provides persistent storage of key-value pairs of strings.
 .
 This package contains the development part of the camldbm package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR=debian/tmp$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.so.owner

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p debian/tmp$(OCAML_STDLIB_DIR) debian/tmp$(OCAML_DLL_DIR)
	dh_auto_install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	touch Makefile.config
	dh_auto_clean
	rm -f Makefile.config

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	touch Makefile.config
	dh_auto_configure

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=278 .*/camldbm-([0-9.]*)\.tar\.gz
